Liblinphone 5.0.0

Public Member Functions | List of all members
linphone::PushNotificationMessage Class Reference

Object holding chat message data received by a push notification on iOS platform only. More...

`#include <push_notification_message.hh>`

Inheritance diagram for linphone::PushNotificationMessage:

## Public Member Functions
| PushNotificationMessage (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphonePushNotificationMessage * | cPtr ()

## Detailed Description

Object holding chat message data received by a push notification on iOS platform only.

This object is a subset of ChatMessage, so only a few methods of it's parent are available, like linphone_push_notification_message_get_text_content and linphone_push_notification_message_get_subject, just enough to be able to build a notification to show the user.

The documentation for this class was generated from the following file:

- push_notification_message.hh